be.fgov.ehealth.samcivics.type.v2

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.samcivics.type.v2.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.samcivics.type.v2 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.samcivics.type.v2

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddedDocumentType` | `createAddedDocumentType()` Create an instance of `AddedDocumentType`
    `AgreementTermType` | `createAgreementTermType()` Create an instance of `AgreementTermType`
    `AmountType` | `createAmountType()` Create an instance of `AmountType`
    `AmppType` | `createAmppType()` Create an instance of `AmppType`
    `AtmAndChildrenType` | `createAtmAndChildrenType()` Create an instance of `AtmAndChildrenType`
    `AtmType` | `createAtmType()` Create an instance of `AtmType`
    `BaseType` | `createBaseType()` Create an instance of `BaseType`
    `ContentQuantityType` | `createContentQuantityType()` Create an instance of `ContentQuantityType`
    `CopaymentType` | `createCopaymentType()` Create an instance of `CopaymentType`
    `ExcludedParagraphType` | `createExcludedParagraphType()` Create an instance of `ExcludedParagraphType`
    `ExclusionType` | `createExclusionType()` Create an instance of `ExclusionType`
    `FindAmppType` | `createFindAmppType()` Create an instance of `FindAmppType`
    `FindParagraphType` | `createFindParagraphType()` Create an instance of `FindParagraphType`
    `IdentifierNumType` | `createIdentifierNumType()` Create an instance of `IdentifierNumType`
    `MaximumAgeAuthorizedType` | `createMaximumAgeAuthorizedType()` Create an instance of `MaximumAgeAuthorizedType`
    `MaximumContentType` | `createMaximumContentType()` Create an instance of `MaximumContentType`
    `MaximumDurationType` | `createMaximumDurationType()` Create an instance of `MaximumDurationType`
    `MaximumStrengthType` | `createMaximumStrengthType()` Create an instance of `MaximumStrengthType`
    `MinimumAgeAuthorizedType` | `createMinimumAgeAuthorizedType()` Create an instance of `MinimumAgeAuthorizedType`
    `ParagraphAndChildrenType` | `createParagraphAndChildrenType()` Create an instance of `ParagraphAndChildrenType`
    `ParagraphAndTherapyType` | `createParagraphAndTherapyType()` Create an instance of `ParagraphAndTherapyType`
    `ParagraphType` | `createParagraphType()` Create an instance of `ParagraphType`
    `PriceType` | `createPriceType()` Create an instance of `PriceType`
    `ProductType` | `createProductType()` Create an instance of `ProductType`
    `ProfessionalAuthorizationType` | `createProfessionalAuthorizationType()` Create an instance of `ProfessionalAuthorizationType`
    `ProfessionalCodeType` | `createProfessionalCodeType()` Create an instance of `ProfessionalCodeType`
    `ReimbCategoryCvType` | `createReimbCategoryCvType()` Create an instance of `ReimbCategoryCvType`
    `ReimbursementAndChildrenType` | `createReimbursementAndChildrenType()` Create an instance of `ReimbursementAndChildrenType`
    `ReimbursementCriteriaType` | `createReimbursementCriteriaType()` Create an instance of `ReimbursementCriteriaType`
    `ReimbursementType` | `createReimbursementType()` Create an instance of `ReimbursementType`
    `TextType` | `createTextType()` Create an instance of `TextType`
    `TherapyAndChildrenType` | `createTherapyAndChildrenType()` Create an instance of `TherapyAndChildrenType`
    `TherapyType` | `createTherapyType()` Create an instance of `TherapyType`
    `UnstructuredExclusionRuleType` | `createUnstructuredExclusionRuleType()` Create an instance of `UnstructuredExclusionRuleType`
    `VerseType` | `createVerseType()` Create an instance of `VerseType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.samcivics.type.v2

  - ### Method Detail

    - #### createProductType

          public ProductType createProductType()

      Create an instance of `ProductType`

    - #### createParagraphAndChildrenType

          public ParagraphAndChildrenType createParagraphAndChildrenType()

      Create an instance of `ParagraphAndChildrenType`

    - #### createExcludedParagraphType

          public ExcludedParagraphType createExcludedParagraphType()

      Create an instance of `ExcludedParagraphType`

    - #### createUnstructuredExclusionRuleType

          public UnstructuredExclusionRuleType createUnstructuredExclusionRuleType()

      Create an instance of `UnstructuredExclusionRuleType`

    - #### createAtmAndChildrenType

          public AtmAndChildrenType createAtmAndChildrenType()

      Create an instance of `AtmAndChildrenType`

    - #### createProfessionalAuthorizationType

          public ProfessionalAuthorizationType createProfessionalAuthorizationType()

      Create an instance of `ProfessionalAuthorizationType`

    - #### createAddedDocumentType

          public AddedDocumentType createAddedDocumentType()

      Create an instance of `AddedDocumentType`

    - #### createParagraphAndTherapyType

          public ParagraphAndTherapyType createParagraphAndTherapyType()

      Create an instance of `ParagraphAndTherapyType`

    - #### createFindParagraphType

          public FindParagraphType createFindParagraphType()

      Create an instance of `FindParagraphType`

    - #### createFindAmppType

          public FindAmppType createFindAmppType()

      Create an instance of `FindAmppType`

    - #### createAgreementTermType

          public AgreementTermType createAgreementTermType()

      Create an instance of `AgreementTermType`

    - #### createAmountType

          public AmountType createAmountType()

      Create an instance of `AmountType`

    - #### createAmppType

          public AmppType createAmppType()

      Create an instance of `AmppType`

    - #### createAtmType

          public AtmType createAtmType()

      Create an instance of `AtmType`

    - #### createBaseType

          public BaseType createBaseType()

      Create an instance of `BaseType`

    - #### createContentQuantityType

          public ContentQuantityType createContentQuantityType()

      Create an instance of `ContentQuantityType`

    - #### createCopaymentType

          public CopaymentType createCopaymentType()

      Create an instance of `CopaymentType`

    - #### createExclusionType

          public ExclusionType createExclusionType()

      Create an instance of `ExclusionType`

    - #### createIdentifierNumType

          public IdentifierNumType createIdentifierNumType()

      Create an instance of `IdentifierNumType`

    - #### createMaximumAgeAuthorizedType

          public MaximumAgeAuthorizedType createMaximumAgeAuthorizedType()

      Create an instance of `MaximumAgeAuthorizedType`

    - #### createMaximumContentType

          public MaximumContentType createMaximumContentType()

      Create an instance of `MaximumContentType`

    - #### createMaximumDurationType

          public MaximumDurationType createMaximumDurationType()

      Create an instance of `MaximumDurationType`

    - #### createMaximumStrengthType

          public MaximumStrengthType createMaximumStrengthType()

      Create an instance of `MaximumStrengthType`

    - #### createMinimumAgeAuthorizedType

          public MinimumAgeAuthorizedType createMinimumAgeAuthorizedType()

      Create an instance of `MinimumAgeAuthorizedType`

    - #### createParagraphType

          public ParagraphType createParagraphType()

      Create an instance of `ParagraphType`

    - #### createPriceType

          public PriceType createPriceType()

      Create an instance of `PriceType`

    - #### createProfessionalCodeType

          public ProfessionalCodeType createProfessionalCodeType()

      Create an instance of `ProfessionalCodeType`

    - #### createReimbCategoryCvType

          public ReimbCategoryCvType createReimbCategoryCvType()

      Create an instance of `ReimbCategoryCvType`

    - #### createReimbursementAndChildrenType

          public ReimbursementAndChildrenType createReimbursementAndChildrenType()

      Create an instance of `ReimbursementAndChildrenType`

    - #### createReimbursementCriteriaType

          public ReimbursementCriteriaType createReimbursementCriteriaType()

      Create an instance of `ReimbursementCriteriaType`

    - #### createReimbursementType

          public ReimbursementType createReimbursementType()

      Create an instance of `ReimbursementType`

    - #### createTextType

          public TextType createTextType()

      Create an instance of `TextType`

    - #### createTherapyAndChildrenType

          public TherapyAndChildrenType createTherapyAndChildrenType()

      Create an instance of `TherapyAndChildrenType`

    - #### createTherapyType

          public TherapyType createTherapyType()

      Create an instance of `TherapyType`

    - #### createVerseType

          public VerseType createVerseType()

      Create an instance of `VerseType`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.